Bug 581773 - a manual page reference should not break a paragraph for translations / PO files
a manual page reference should not break a paragraph for translations / PO files
Status: CLOSED ERRATA
Product: Publican
Classification: Community
Component: publican (Show other bugs)
1.6
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-13 04:06 EDT by Raphaël Hertzog
Modified: 2010-11-23 23:18 EST (History)
4 users (show)

See Also:
Fixed In Version: publican-1.6.3-0.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-17 14:56:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Raphaël Hertzog 2010-04-13 04:06:11 EDT
If you consider this docbook input:
<para>Its manual page
(<citerefentry><refentrytitle>ar</refentrytitle><manvolnum>1</manvolnum></citerefentry>) documents all the supported options.</para>

publican update_pot will generate 3 strings in the POT files while
I would have expected one only. Having the sentence cut in the middle is counter productive for translations.

Furthermore one comment in the PO file is wrong. The second half of the sentence is attributed to the citerefentry tag while it's clearly not the case.

#. Tag: para
#, no-c-format
msgid "Its manual page ("
msgstr ""

#. Tag: refentrytitle
#, no-c-format
msgid "ar"
msgstr ""

#. Tag: citerefentry
#, no-c-format
msgid ") documents all the supported options."
msgstr ""
Comment 1 Jeff Fearn 2010-04-13 19:00:30 EDT
refentrytitle is a block in a refmeta but an inline in a citerefentry >_<

Added citerefentry to IGNOREBLOCKS list, it's contents are now treated as inline.

#. Tag: para
#, no-c-format
msgid "Its manual page (<citerefentry><refentrytitle>ar</refentrytitle><manvolnum>1</manvolnum></citerefentry>) documents all the supported options."
msgstr ""
Comment 2 Ruediger Landmann 2010-05-06 00:58:28 EDT
Confirmed that string does not get broken up in version 1.6.3.t122
Comment 3 Fedora Update System 2010-05-13 18:20:44 EDT
publican-1.6.3-0.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/publican-1.6.3-0.fc13
Comment 4 Fedora Update System 2010-05-13 18:22:01 EDT
publican-1.6.3-0.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/publican-1.6.3-0.fc12
Comment 5 Fedora Update System 2010-05-15 16:36:24 EDT
publican-1.6.3-0.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update publican'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/publican-1.6.3-0.fc12
Comment 6 Fedora Update System 2010-05-15 16:45:39 EDT
publican-1.6.3-0.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update publican'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/publican-1.6.3-0.fc13
Comment 7 Fedora Update System 2010-05-17 14:55:41 EDT
publican-1.6.3-0.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2010-05-17 14:59:31 EDT
publican-1.6.3-0.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.